/*
 *  Kylin security modules
 *
 *  This file contains the Kylin security policy interpreter function.
 *
 *  Authors:  lengchunying <lengchunying@kylinos.cn>
 *
 *  Copyright (c) KylinSoft Co., Ltd [2024].All rights reserved.
 */

#ifndef KSAFINTERPRETER_H
#define KSAFINTERPRETER_H

#include <string>
using namespace std;

#ifdef __cplusplus
extern "C" {
#endif

int compilePolicy();
int compileInitPolicy();
int compileSectionPolicy(const char* ns_name, const char* sec_name);
int sendInitPolicy(const char* prefix);
int modifyDynamicVariable(const char* ns_name, const char* var_name, uint32_t var_value);
int sendPolicy();

#ifdef __cplusplus
}
#endif

#endif
